@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  HIRS_Provisioner startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and HIRS_PROVISIONER_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\HIRS_Provisioner-1.0.4-SNAPSHOT.jar;%APP_HOME%\lib\TPM_Utils-1.0.4-SNAPSHOT.jar;%APP_HOME%\lib\HIRS_Structs-1.0.4-SNAPSHOT.jar;%APP_HOME%\lib\HIRS_Utils-1.0.4-SNAPSHOT.jar;%APP_HOME%\lib\spring-web-4.2.3.RELEASE.jar;%APP_HOME%\lib\log4j-jcl-2.8.1.jar;%APP_HOME%\lib\commons-lang3-3.3.2.jar;%APP_HOME%\lib\log4j-core-2.8.1.jar;%APP_HOME%\lib\log4j-slf4j-impl-2.8.1.jar;%APP_HOME%\lib\log4j-api-2.8.1.jar;%APP_HOME%\lib\commons-httpclient-3.1.jar;%APP_HOME%\lib\commons-codec-1.9.jar;%APP_HOME%\lib\commons-io-2.4.jar;%APP_HOME%\lib\spring-context-4.2.3.RELEASE.jar;%APP_HOME%\lib\spring-aop-4.2.3.RELEASE.jar;%APP_HOME%\lib\spring-orm-4.2.3.RELEASE.jar;%APP_HOME%\lib\spring-jdbc-4.2.3.RELEASE.jar;%APP_HOME%\lib\spring-tx-4.2.3.RELEASE.jar;%APP_HOME%\lib\spring-beans-4.2.3.RELEASE.jar;%APP_HOME%\lib\spring-expression-4.2.3.RELEASE.jar;%APP_HOME%\lib\gson-2.2.4.jar;%APP_HOME%\lib\bcmail-jdk15on-1.59.jar;%APP_HOME%\lib\commons-cli-1.2.jar;%APP_HOME%\lib\commons-csv-1.4.jar;%APP_HOME%\lib\commons-exec-1.3.jar;%APP_HOME%\lib\commons-validator-1.4.0.jar;%APP_HOME%\lib\usertype.core-4.0.0.GA.jar;%APP_HOME%\lib\hibernate-entitymanager-4.3.8.Final.jar;%APP_HOME%\lib\hibernate-hikaricp-4.3.11.Final.jar;%APP_HOME%\lib\hibernate-core-4.3.11.Final.jar;%APP_HOME%\lib\hibernate-commons-annotations-4.0.5.Final.jar;%APP_HOME%\lib\HikariCP-2.4.1.jar;%APP_HOME%\lib\jackson-databind-2.6.3.jar;%APP_HOME%\lib\jackson-core-2.6.3.jar;%APP_HOME%\lib\jackson-annotations-2.6.3.jar;%APP_HOME%\lib\joda-time-2.9.4.jar;%APP_HOME%\lib\mariadb-java-client-2.2.1.jar;%APP_HOME%\lib\reflections-0.9.9-RC1.jar;%APP_HOME%\lib\guava-18.0.jar;%APP_HOME%\lib\spring-retry-1.2.0.RELEASE.jar;%APP_HOME%\lib\minimal-json-0.9.5.jar;%APP_HOME%\lib\xmlrpc-client-3.1.3.jar;%APP_HOME%\lib\jboss-logging-3.2.0.Final.jar;%APP_HOME%\lib\spring-plugin-core-1.2.0.RELEASE.jar;%APP_HOME%\lib\spring-core-4.3.3.RELEASE.jar;%APP_HOME%\lib\commons-beanutils-1.8.3.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\HikariCP-java6-2.3.3.jar;%APP_HOME%\lib\usertype.spi-4.0.0.GA.jar;%APP_HOME%\lib\slf4j-api-1.7.24.jar;%APP_HOME%\lib\aopalliance-1.0.jar;%APP_HOME%\lib\bcpkix-jdk15on-1.59.jar;%APP_HOME%\lib\bcprov-jdk15on-1.59.jar;%APP_HOME%\lib\commons-digester-1.8.jar;%APP_HOME%\lib\jboss-logging-annotations-1.2.0.Beta1.jar;%APP_HOME%\lib\jboss-transaction-api_1.2_spec-1.0.0.Final.jar;%APP_HOME%\lib\dom4j-1.6.1.jar;%APP_HOME%\lib\hibernate-jpa-2.1-api-1.0.0.Final.jar;%APP_HOME%\lib\javassist-3.19.0-GA.jar;%APP_HOME%\lib\antlr-2.7.7.jar;%APP_HOME%\lib\jandex-1.1.0.Final.jar;%APP_HOME%\lib\xmlrpc-common-3.1.3.jar;%APP_HOME%\lib\ws-commons-util-1.0.2.jar;%APP_HOME%\lib\xml-apis-1.0.b2.jar

@rem Execute HIRS_Provisioner
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %HIRS_PROVISIONER_OPTS%  -classpath "%CLASSPATH%" hirs.provisioner.ProvisionerApplication %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable HIRS_PROVISIONER_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%HIRS_PROVISIONER_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
